The SoapVar class

- « SoapParam::__construct

- SoapVar::__construct »

- PHP Manual
- SOAP
- The SoapVar class

# The SoapVar class

(PHP 5, PHP 7, PHP 8)

## Introduction

A class representing a variable or object for use with SOAP services.

## Class synopsis

class SoapVar {
/* Properties */
public int $enc_type;
public mixed $enc_value = null;
public ?string $enc_stype = null;
public ?string $enc_ns = null;
public ?string $enc_name = null;
public ?string $enc_namens = null;
/* Methods */
public __construct(
mixed `$data`,
?int `$encoding`,
?string `$typeName` = `null`,
?string `$typeNamespace` = `null`,
?string `$nodeName` = `null`,
?string `$nodeNamespace` = `null`
)
}

## Properties

enc_name

enc_namens

enc_ns

enc_type

enc_stype

enc_value

## Table of Contents

- SoapVar::__construct — SoapVar constructor